.DropdownMenu {
  position: relative;
  color: $color-primary-dark;
  a {
    color: black;
  }
  &--hide {
    display: none;
  }

  &__icon {
    margin-left: 1rem;
  }
  &__toggle {
    font-size: 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
  }

  &__content {
    background: $color-secondary-light;
    border-radius: 4px;
    overflow: hidden;
    position: absolute;
    top: 110%;
    left: 0;
    min-width: 200%;
    max-width: 250%;
    min-height: 200px;
    z-index: 1000;
    text-align: left;
    box-shadow: $basic-shadow-1;

    transform: translateX(-50%);
    animation-name: grow;
    animation-duration: 200ms;
    animation-fill-mode: forwards;
    animation-timing-function: ease-in-out;
  }

  &__item {
    width: 100%;
    height: 100%;
    font-size: 1.8rem;
    cursor: pointer;
    padding: 0.5rem 1rem;
    transition: all 200ms;
  }
  a:hover {
    color: $color-primary;
  }
}
